package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

/**
 * @author Alex Usun
 */
public class SshMsgUserAuthRequestNone
        extends SshMsgUserAuthRequest<SshMsgUserAuthRequestNone.Handler> {

    public SshMsgUserAuthRequestNone(String username, String serviceName) {
        super(username, serviceName);
    }

    @Override
    public Class handlerClass() {
        return Handler.class;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshMsgUserAuthRequestNone {"
                + "username='" + this.username + '\''
                + ", serviceName='" + this.serviceName + '\''
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshMsgUserAuthRequestNone message, MessageConnection<Message> connection);

    }
}
